@()(implicit request: Request[_])

<html ng-app>
    <head>
        @head("Liste des enregistrements")
        <script src="@routes.Assets.at("javascripts/records.js")" type="text/javascript"></script>
        <link rel="stylesheet" media="screen" href="@routes.Assets.at("stylesheets/index.css")"/>
    </head>
    <body ng-controller='PageController'>
        @navigation_bar()
        <div class="container-fluid">
            <form ng-submit="find(1)" class="form-inline">
                <div class="search-group">
                    <h4>Recherche standard</h4>
                    <div class="row">
                        <span class="col-md-1">
                            <label>Appelant</label>
                        </span>
                        <span class="col-md-2">
                            <input type="text" class="form-control" ng-model="caller"/>&nbsp;
                        </span>
                        <span class="col-md-1">
                            <label>Appelé</label>
                        </span>
                        <span class="col-md-2">
                            <input type="text" class="form-control" ng-model="callee"/>&nbsp;
                        </span>
                        <span class="col-md-1">
                            <label>Agent</label>
                        </span>
                        <span class="col-md-2">
                            <input type="text" class="form-control" ng-model="agent"/>&nbsp;
                        </span>
                        <span class="col-md-2 form-group">
                            <label>Entrants</label>
                            <input type="radio" ng-model="direction" value="incoming"/>
                            <label>Sortants</label>
                            <input type="radio" ng-model="direction" value="outgoing"/>
                            <label>Tous</label>
                            <input type="radio" ng-model="direction" value="all"/>
                        </span>
                    </div>
                    <div class="row top-buffer">
                        <span class="col-md-1">
                            <label>File</label>
                        </span>
                        <span class="col-md-1">
                            <input type="text" class="form-control" ng-model="queue"/>&nbsp;
                        </span>
                        <span class="col-md-1">
                            <label>Entre</label>
                        </span>
                        <span class="col-md-1">
                            <input id="start" type="text" class="date form-control" data-date-format="DD-MM-YYYY HH:mm"/>
                        </span>
                        <span class="col-md-1">
                            <label>et</label>
                        </span>
                        <span class="col-md-1">
                            <input id="end" type="text" class="date form-control" data-date-format="DD-MM-YYYY HH:mm"/>
                        </span>
                        <span class="col-md-1">
                            <label>Meta</label>
                        </span>
                        <span class="col-md-1">
                            <input type="text" class="form-control" ng-model="attached_key"/>&nbsp;
                        </span>
                        <span class="col-md-1">
                            <input type="text" class="form-control" ng-model="attached_value"/>&nbsp;
                        </span>
                        <span class="col-md-1">
                            <button type="submit" class="btn btn-primary">Rechercher</button>
                        </span>
                    </div>
                </div>
                <div class="search-group">
                    <h4>Recherche par identifiant d'appel</h4>
                    <div class="row top-buffer">
                        <span class="col-md-1">
                            <label>Identifiant d'appel</label>
                        </span>
                        <span class="col-md-2">
                            <input type="text" class="form-control" ng-model="callid"/>&nbsp;
                        </span>
                        <span class="col-md-2">
                            <button type="button" class="btn btn-primary" ng-click="searchByCallid()">Rechercher</button>
                        </span>
                    </div>
                </div>
            </form>
            <div id="loading" class="well">
                <h4><strong class="center">Chargement...</strong></h4>
            </div>
            <table class="table table-hover table-condensed">
                <thead>
                    <tr>
                        <th>Numéro appelant</th>
                        <th>Numéro appelé</th>
                        <th>Agent</th>
                        <th>File</th>
                        <th>Début</th>
                        <th>Durée</th>
                        <th>Données</th>
                        <th/>
                    </tr>
                </thead>
                <tbody id="records">
                   <tr ng-repeat="record in records">
                       <td>{{record.src_num}}</td>
                       <td>{{record.dst_num}}</td>
                       <td>{{record.agent}}</td>
                       <td>{{record.queue}}</td>
                       <td>{{record.start}}</td>
                       <td>{{record.duration}}</td>
                       <td>
                           <p ng-repeat="(key, value) in record.attached_data">{{key}} : {{value}}</p>
                       </td>
                       <td><a href=/records/{{record.id}}/audio><span class="glyphicon glyphicon-arrow-down"></span></a></td>
                   </tr>
                </tbody>
            </table>
            <div class="footer">
                <div class="footer-left">
                    <ul class="pagination" id="pager" style="float:left">
                        <li ng-show="currentPage > 1"><a href="#" ng-click="fetchFunction(currentPage - 1)">Précédent</a></li>
                        <li ng-show="hasNext">
                            <a href="#" ng-click="fetchFunction(currentPage + 1)">Suivant</a>
                        </li>
                    </ul>
                </div>
                @avencall_logo()
            </div>
        </div>
    </body>
</html>
